<script setup>
const props = defineProps({
  name: {
    type: String,
    required: true,
  },

  role: {
    type: String,
    required: true,
  },

  content: {
    type: String,
    required: true,
  },

  imagePath: {
    type: String,
    required: true,
  },
});
</script>

<template>
  <div class="bg-las-green rounded-xl p-4 text-white dark:bg-las-d-green">
    <div class="flex mb-2">
      <div class="flex-1">
        <h1 class="uppercase font-cream text-xl">{{ props.name }}</h1>
        <h2 class="font-cream">{{ props.role }}</h2>
      </div>

      <img
        class="-mt-12 ml-4 w-auto"
        :src="props.imagePath"
        :alt="props.name"
      />
    </div>

    <p>{{ props.content }}</p>
  </div>
</template>
